=== debian/changelog ===
ros-humble-hardware-interface (2.31.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 Sep 2023 23:00:00 -0000

ros-humble-hardware-interface (2.30.0-1jammy) jammy; urgency=high

  * Add checks if hardware is initialized. (backport #1054 <https://github.com/ros-controls/ros2_control/issues/1054>) (#1081 <https://github.com/ros-controls/ros2_control/issues/1081>)
  * Contributors: Denis Stogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 13 Aug 2023 23:00:00 -0000

ros-humble-hardware-interface (2.29.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 08 Jul 2023 23:00:00 -0000

ros-humble-hardware-interface (2.28.0-1jammy) jammy; urgency=high

  * Ensure instantiation of hardware classes work for python bindings (#1058 <https://github.com/ros-controls/ros2_control/issues/1058>) (#1062 <https://github.com/ros-controls/ros2_control/issues/1062>)
  * Contributors: Olivier Stasse

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 23:00:00 -0000

ros-humble-hardware-interface (2.27.0-1jammy) jammy; urgency=high

  * [MockHardware] Enable disabling of command to simulate HW failures. (backport #1027 <https://github.com/ros-controls/ros2_control/issues/1027>) (#1050 <https://github.com/ros-controls/ros2_control/issues/1050>)
  * Empty urdf tag humble (backport of #1017 <https://github.com/ros-controls/ros2_control/issues/1017>) (#1036 <https://github.com/ros-controls/ros2_control/issues/1036>)
  * [Humble] enable ReflowComments to also use ColumnLimit on comments (#1038 <https://github.com/ros-controls/ros2_control/issues/1038>)
  * Issue 339: Implement parse_bool and refactor a few (backport #1014 <https://github.com/ros-controls/ros2_control/issues/1014>) (#1018 <https://github.com/ros-controls/ros2_control/issues/1018>)
  * Contributors: Felix Exner (fexner), Sai Kishor Kothakota, Christoph Fröhlich, Bence Magyar, Alejandro Bordallo

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 23:00:00 -0000

ros-humble-hardware-interface (2.26.0-1jammy) jammy; urgency=high

  * docs: Fix link to hardware_components (#1009 <https://github.com/ros-controls/ros2_control/issues/1009>) (#1011 <https://github.com/ros-controls/ros2_control/issues/1011>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 May 2023 23:00:00 -0000

ros-humble-hardware-interface (2.25.3-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-humble-hardware-interface (2.25.2-1jammy) jammy; urgency=high

  * Also initialize non-joint components (backport #822 <https://github.com/ros-controls/ros2_control/issues/822>) (#991 <https://github.com/ros-controls/ros2_control/issues/991>)
  * Contributors: Felix Exner, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 19 Apr 2023 23:00:00 -0000

ros-humble-hardware-interface (2.25.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-humble-hardware-interface (2.25.0-1jammy) jammy; urgency=high

  * Check for missing hardware interfaces that use the gpio tag. (#953 <https://github.com/ros-controls/ros2_control/issues/953>)
  * Split transmission interfaces (backport #938 <https://github.com/ros-controls/ros2_control/issues/938>) (#968 <https://github.com/ros-controls/ros2_control/issues/968>)
  * Contributors: Ryan Sandzimier, Noel Jiménez García, Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Apr 2023 23:00:00 -0000

ros-humble-hardware-interface (2.24.1-1jammy) jammy; urgency=high

  * Revert "Make double parsing locale independent (#921 <https://github.com/ros-controls/ros2_control/issues/921>)" (#966 <https://github.com/ros-controls/ros2_control/issues/966>)
  * Contributors: Bence Magyar

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 09 Mar 2023 00:00:00 -0000

ros-humble-hardware-interface (2.24.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Feb 2023 00:00:00 -0000

ros-humble-hardware-interface (2.23.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Feb 2023 00:00:00 -0000

ros-humble-hardware-interface (2.22.0-1jammy) jammy; urgency=high

  * Make double parsing locale independent (#921 <https://github.com/ros-controls/ros2_control/issues/921>) (#924 <https://github.com/ros-controls/ros2_control/issues/924>)
  * Contributors: Henning Kayser

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-humble-hardware-interface (2.21.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 24 Jan 2023 00:00:00 -0000

ros-humble-hardware-interface (2.20.0-1jammy) jammy; urgency=high

  * 🔧 Fixes and updated on pre-commit hooks and their action (backport #890 <https://github.com/ros-controls/ros2_control/issues/890>) (#895 <https://github.com/ros-controls/ros2_control/issues/895>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 12 Jan 2023 00:00:00 -0000

ros-humble-hardware-interface (2.19.0-1jammy) jammy; urgency=high

  * ResourceManager doesn't always log an error on shutdown anymore (#867 <https://github.com/ros-controls/ros2_control/issues/867>) (#871 <https://github.com/ros-controls/ros2_control/issues/871>)
  * Contributors: Christopher Wecht

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 Jan 2023 00:00:00 -0000

ros-humble-hardware-interface (2.18.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Dec 2022 00:00:00 -0000

ros-humble-hardware-interface (2.17.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 Nov 2022 00:00:00 -0000

ros-humble-hardware-interface (2.16.0-1jammy) jammy; urgency=high


