## ros-humble-hardware-interface 2.41.0

=== debian/changelog ===
ros-humble-hardware-interface (2.41.0-1bookworm) bookworm; urgency=high

  * Add missing calculate_dynamics (#1498 <https://github.com/ros-controls/ros2_control/issues/1498>) (#1511 <https://github.com/ros-controls/ros2_control/issues/1511>)
  * [Doc] Add documentation about initial_value regarding mock_hw (#1352 <https://github.com/ros-controls/ros2_control/issues/1352>) (#1513 <https://github.com/ros-controls/ros2_control/issues/1513>)
  * Move migration notes (#1481 <https://github.com/ros-controls/ros2_control/issues/1481>) (#1515 <https://github.com/ros-controls/ros2_control/issues/1515>)
  * Bump version of pre-commit hooks (backport #1430 <https://github.com/ros-controls/ros2_control/issues/1430>) (#1434 <https://github.com/ros-controls/ros2_control/issues/1434>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 29 Apr 2024 16:00:00 -0000

ros-humble-hardware-interface (2.40.0-1bookworm) bookworm; urgency=high

  * [CI] Code coverage + pre-commit (backport #1413 <https://github.com/ros-controls/ros2_control/issues/1413>) (#1414 <https://github.com/ros-controls/ros2_control/issues/1414>)
  * Move hardware interface README content to sphinx documentation (#1342 <https://github.com/ros-controls/ros2_control/issues/1342>) (#1380 <https://github.com/ros-controls/ros2_control/issues/1380>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 01 Mar 2024 16:00:00 -0000

ros-humble-hardware-interface (2.39.1-1bookworm) bookworm; urgency=high

  * readd activate_all_components method to not break API (#1392 <https://github.com/ros-controls/ros2_control/issues/1392>)
  * Contributors: Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Feb 2024 16:00:00 -0000

ros-humble-hardware-interface (2.39.0-1bookworm) bookworm; urgency=high

  * Move test_components to own package (backport #1325 <https://github.com/ros-controls/ros2_control/issues/1325>) (#1340 <https://github.com/ros-controls/ros2_control/issues/1340>)
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-hardware-interface (2.38.0-1bookworm) bookworm; urgency=high

  * [CM] Fix controller parameter loading issue in different cases (#1293 <https://github.com/ros-controls/ros2_control/issues/1293>) (#1332 <https://github.com/ros-controls/ros2_control/issues/1332>)
  * Enable setting of initial state in HW components (backport #1046 <https://github.com/ros-controls/ros2_control/issues/1046>) (#1064 <https://github.com/ros-controls/ros2_control/issues/1064>)
  * Contributors: Sai Kishor Kothakota, mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 24 Jan 2024 16:00:00 -0000

ros-humble-hardware-interface (2.37.0-1bookworm) bookworm; urgency=high

  * [RM] Fix crash for missing urdf in resource manager (#1301 <https://github.com/ros-controls/ros2_control/issues/1301>) (#1316 <https://github.com/ros-controls/ros2_control/issues/1316>)
  * Add additional checks for non existing and not available interfaces. (backport #1218 <https://github.com/ros-controls/ros2_control/issues/1218>) (#1291 <https://github.com/ros-controls/ros2_control/issues/1291>)
  * Fix return of ERROR and calls of cleanup when system is unconfigured of finalized (#1279 <https://github.com/ros-controls/ros2_control/issues/1279>) (#1286 <https://github.com/ros-controls/ros2_control/issues/1286>)
  * fix the multiple definitions of lexical casts methods (#1281 <https://github.com/ros-controls/ros2_control/issues/1281>) (#1282 <https://github.com/ros-controls/ros2_control/issues/1282>)
  * Contributors: Sai Kishor Kothakota, mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 Jan 2024 16:00:00 -0000

ros-humble-hardware-interface (2.36.1-1bookworm) bookworm; urgency=high

  * [ResourceManager] adds test for uninitialized hardware (#1243 <https://github.com/ros-controls/ros2_control/issues/1243>) (#1274 <https://github.com/ros-controls/ros2_control/issues/1274>)
  * Use portable version for string-to-double conversion (backport #1257 <https://github.com/ros-controls/ros2_control/issues/1257>) (#1268 <https://github.com/ros-controls/ros2_control/issues/1268>)
  * Fix typo in docs (#1219 <https://github.com/ros-controls/ros2_control/issues/1219>) (#1221 <https://github.com/ros-controls/ros2_control/issues/1221>)
  * Contributors: Christoph Fröhlich, mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 07 Jan 2024 16:00:00 -0000

ros-humble-hardware-interface (2.36.0-1bookworm) bookworm; urgency=high

  * Cleanup Resource Manager a bit to increase clarity. (backport #816 <https://github.com/ros-controls/ros2_control/issues/816>) (#1191 <https://github.com/ros-controls/ros2_control/issues/1191>)
  * Handle hardware errors in Resource Manager (#805 <https://github.com/ros-controls/ros2_control/issues/805>) (#837 <https://github.com/ros-controls/ros2_control/issues/837>) #ABI-breaking
  * Contributors: mergify[bot]

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-hardware-interface (2.35.1-1bookworm) bookworm; urgency=high

  * [MockHardware] Fix the issues where hardware with multiple interfaces can not be started because of a logical bug added when adding dynamics calculation functionality. (#1151 <https://github.com/ros-controls/ros2_control/issues/1151>) (#1178 <https://github.com/ros-controls/ros2_control/issues/1178>)
  * Contributors: Dr Denis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Nov 2023 16:00:00 -0000

ros-humble-hardware-interface (2.35.0-1bookworm) bookworm; urgency=high

  * [CM] Use robot_description topic instead of parameter and don't crash on empty URDF 🦿 (backport #940 <https://github.com/ros-controls/ros2_control/issues/940>) (#1052 <https://github.com/ros-controls/ros2_control/issues/1052>)
  * Contributors: mergify[bot]


